%define         _state          stable
%define		orgname		libkipi
%define         qtver           4.8.1

Summary:	Kipi library
Summary(pl.UTF-8):	Biblioteka kipi
Name:		kde4-libkipi
Version:	4.9.0
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	44014b370eb74ebc96d6bb5907b4454e
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	rpmbuild(macros) >= 1.164
Obsoletes:	libkipi <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kipi library.

%description -l pl.UTF-8
Biblioteka kipi.

%package devel
Summary:	Header files for libkipi development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających libkipi
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kde4-kdegraphics-devel < 4.6.99
Obsoletes:	libkipi-devel <= 4.8.0

%description devel
Header files for libkipi development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających libkipi.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libkipi.so.?
%attr(755,root,root) %{_libdir}/libkipi.so.*.*.*
%{_datadir}/apps/kipi
%{_iconsdir}/hicolor/*x*/apps/*.png
%{_datadir}/kde4/servicetypes/kipiplugin.desktop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkipi.so
%{_includedir}/libkipi
%{_pkgconfigdir}/libkipi.pc
%changelog
* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d48bd33
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 547461a
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c6cbcc3
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a6f6a42
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c1e9a3d
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f95c423
- up to 4.8.1

* Thu Jan 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 225eb5e
- release 3

* Sat Jan 21 2012 Paweł Sikora <pluto@pld-linux.org> c3df698
- fix O:, release 2.

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> af3bc5f
- now as kde4-libkipi

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e0df4ee
- up to 4.8.0

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ed9f40
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 392aa10
- up to 4.7.3

* Tue Oct 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a3d8ca7
- up to 4.7.2

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 56bd9ca
- rel 2

* Fri Sep 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c30363
- up to 4.7.1

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 27e0eb8
- up to kde 4.7.0

* Tue Feb 16 2010 ankry <ankry@pld-linux.org> 90f3784
- is not empty, rel. 4

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b743f8
- drop obsolete files

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 473d6ae
- release 3

* Fri Jul 25 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b3ef004
- release 2

